scan_iso8601(3)

NAME
scan_iso8601 - parse an ISO-8601 timestamp

SYNTAX
#include <libowfat/scan.h> size_t scan_iso8601(const char *src,struct timespec *dest);

DESCRIPTION
scan_iso8601 parses a timestamp as defined in ISO-8601 into a struct timespec. It returns the number of bytes read from src (0 for parse error). scan_iso8601 supports input timestamps in time zones other than UTC even though fmt_iso8601 does not. Note that the returned time_t is always in UTC, even if a local time was given.

SEE ALSO
fmt_iso8601(3)